   
      SUBROUTINE R_NK_par_sw_1(N,K,Matr_input,Matr_output)
C
C	########################################################################
C
C	Valerio Cappellini                                         February 2007
C
C     USES :: None
C     COMPATIBILITY :: Fortran 90
C     VERSION :: 1.0.0
C
C     R_NK_par_sw_1.f :: it take as input the 2 INTEGER numbers N and K and a 
C                 NxKxNxK REAL matrix M and return as output the KxNxNxK REAL 
C                 matrix "PARTIAL SWAP (1) of M"
C
C	########################################################################
C
$	debug
	implicit none
       
      INTEGER N,K
	REAL Matr_input(N,K,N,K), Matr_output(K,N,N,K)
	
      Matr_output=RESHAPE(Matr_input,(/K,N,N,K/),(/0.,0./),(/2,1,3,4/))
	
      RETURN
      END